import { Program } from "@coral-xyz/anchor";
import { PROGRAM_ID, IDL } from "./constants";
import { emissionDistributorResolvers } from "./resolvers";
export * from "./constants";
export * from "./pdas";
export * from "./instructions";
export * from "./resolvers";
export const DistributionKind = {
    Foundation: { foundation: {} },
    BurnRewards: { burnRewards: {} }
};
export async function init(provider, programId = PROGRAM_ID, idl) {
    const resIdl = await (async () => {
        if (typeof idl === "boolean") {
            return IDL;
        }
        if (!idl) {
            return await Program.fetchIdl(programId, provider);
        }
        return idl;
    })();
    const emissionDistributor = new Program(resIdl, programId, provider, undefined, () => emissionDistributorResolvers);
    return emissionDistributor;
}
//# sourceMappingURL=index.js.map